header {
    grid-area: header;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-left: 15px;
    padding-right: 10px;
    border-bottom: solid;
    background-color: rgb(207, 206, 206);
}

.actions-container {
    display: flex;
    align-items: center;
    gap: 10px;
}

.user-icon,
.bell-icon,
.friend-icon {
    height: 35px;
    width:  35px;
    cursor: pointer;
    user-select: none;
}

#notif-dot {
    position: absolute;
    font-size: 3em;
    color: red;
    left: 18px;
    top: -62px;
    z-index: 1;
    visibility: hidden;
    pointer-events: none;
    line-height: 1;
}

/* Logo */

.user-name {
    font-size: 25px;
}

#logo{
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

/* Notifications menu */

#notif-container{
    position: relative;
}

.icon-btn {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    display: flex;
    align-items: center;
}

#recent-msgs-menu {
    position: absolute;
    background-color: rgb(255, 255, 255);
    border: solid;
    box-sizing: content-box;
    visibility: hidden;
}

#notif-container:hover #recent-msgs-menu{
    visibility: visible;
}

.friend-msg {
    display: flex;
    align-items: center;
    gap: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

.friend-msg:first-child {
    padding-top: 1rem;
}

.sender{
    white-space: nowrap;
    margin-top: -5px;
}

.msg {
    background-color: rgb(240, 240, 240);
    border-radius: 7px;
    padding: 0.5rem;
    white-space: nowrap;
    margin-top: -3px;
}

/* Account menu */

#account-container {
    position: relative;
}

#user-container {
    display: flex;
    align-items: center;
    gap: 1rem;
}

#profile-menu{
    display: flex;
    flex-direction: column;
    position: absolute;
    border: solid;
    background-color: white;
    visibility: hidden;
}

#profile-menu button{
    text-align: start;
}

#profile-menu button{
    border: 0;
    background-color: white;
    font-size: 1.2rem;
    cursor: pointer;
}

#profile-menu button:hover{
    font-weight: bold;
}

#account-container:hover #profile-menu {
    visibility: visible;
}

@media (min-width: 768px) {

    .actions-container {
        gap: 15px;
    }

    .user-icon,
    .bell-icon,
    .friend-icon {
        height: 50px;
        width:  50px;
    }

    #notif-dot {
        font-size: 4em;
        left: 25px;
        top: -18px;
    }

    #logo {
        font-size: 40px;
    }
}
